Bug 17288 - Advanced Editor - Rancor - Helpers for 006 and 007 fields
Summary: Advanced Editor - Rancor - Helpers for 006 and 007 fields
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-09 22:30 UTC by Nick Clemens
Modified: 2017-09-29 11:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17288 - Advanced Editor - Rancor - Helpers for 006 and 007 fields (94.86 KB, patch)
2016-09-09 22:31 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17288: (follow-up) Fix marc21_field_007.xml (62.64 KB, patch)
2016-09-13 21:25 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 17288 (QA Followup) (1.16 KB, patch)
2016-09-27 14:04 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17288: (follow-up) Remove unneccessary Date() function (1.22 KB, patch)
2016-09-27 19:40 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 17288: (follow-up) Remove unneccessary Date() function (1.50 KB, patch)
2016-09-27 20:18 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17288 - Advanced Editor - Rancor - Helpers for 006 and 007 fields (94.92 KB, patch)
2017-05-04 09:35 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17288: (follow-up) Fix marc21_field_007.xml (62.71 KB, patch)
2017-05-04 09:35 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17288 (QA Followup) (1.23 KB, patch)
2017-05-04 09:35 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17288: (follow-up) Remove unneccessary Date() function (1.57 KB, patch)
2017-05-04 09:35 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17288 - Advanced Editor - Rancor - Helpers for 006 and 007 fields (95.01 KB, patch)
2017-08-25 09:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17288: (follow-up) Fix marc21_field_007.xml (62.79 KB, patch)
2017-08-25 09:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17288 (QA Followup) (1.31 KB, patch)
2017-08-25 09:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17288: (follow-up) Remove unneccessary Date() function (1.65 KB, patch)
2017-08-25 09:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-09-09 22:30:22 UTC
Add helper plugins for these fields
Comment 1 Nick Clemens 2016-09-09 22:31:41 UTC
Created attachment 55454 [details] [review]
Bug 17288 - Advanced Editor - Rancor - Helpers for 006 and 007 fields

To test:
Open advanced cataloging editor
Experiment with 006 and 007 fields and ensure helpers function for all
material types
Comment 2 Héctor Eduardo Castro Avalos 2016-09-13 21:25:46 UTC
Created attachment 55548 [details] [review]
Bug 17288: (follow-up) Fix marc21_field_007.xml

Bad formatted data in 007 field. Fixed
To test follow the previous commit.
Comment 3 Héctor Eduardo Castro Avalos 2016-09-13 21:34:28 UTC
Still one error:

When you insert an 006 field, position 5 is copied to another selection. For example, when you inster the new field 006 and you change BKS to MX the postion 005 "g" (Target audience--General) is copied to MX, and that position in MX is undefined.
Comment 4 Nick Clemens 2016-09-27 14:04:24 UTC
Created attachment 55842 [details] [review]
Bug 17288 (QA Followup)

Don't default char 5 (is undefined in some forms)
Comment 5 Nick Clemens 2016-09-27 14:05:21 UTC
Thanks Hector!

I just changed the default line not to populate field 5 - anything you enter there in a form where it is defined will carry over, but I feel like that is safer for when you accidentally click the wrong type.
Comment 6 Héctor Eduardo Castro Avalos 2016-09-27 19:29:51 UTC
Comment on attachment 55842 [details] [review]
Bug 17288 (QA Followup)

> var now = new Date();

This line not needed in both fields.
Comment 7 Héctor Eduardo Castro Avalos 2016-09-27 19:40:49 UTC
Created attachment 55854 [details] [review]
Bug 17288: (follow-up) Remove unneccessary Date() function

Remove line:
var now = new Date(); from both subfields
Comment 8 Héctor Eduardo Castro Avalos 2016-09-27 19:51:19 UTC
Advanced editor still has some errors, for example, if you choose another category of material different to BKS and save record or switch between basic and advanced editor, the type of material get back to BKS in fixed fields (i.e., 006, 008). On the contrary if you open a existing record, for example, continue resources the 008 will be BKS and not CR (Continue resources)

But I think this is out of the scope of this bug.
Comment 9 Héctor Eduardo Castro Avalos 2016-09-27 20:18:59 UTC
Created attachment 55855 [details] [review]
Bug 17288: (follow-up) Remove unneccessary Date() function

Remove line:
var now = new Date(); from both subfields
Also fix 18 positions (00-17) for default data in 006 field
Comment 10 Owen Leonard 2017-01-30 16:32:00 UTC
What is the test plan for this?
Comment 11 Héctor Eduardo Castro Avalos 2017-01-31 14:44:40 UTC
(In reply to Owen Leonard from comment #10)
> What is the test plan for this?

Hi Owen, please follow the first commit by Nick
Comment 12 Josef Moravec 2017-05-04 09:35:21 UTC
Created attachment 63059 [details] [review]
[SIGNED-OFF] Bug 17288 - Advanced Editor - Rancor - Helpers for 006 and 007 fields

To test:
Open advanced cataloging editor
Experiment with 006 and 007 fields and ensure helpers function for all
material types

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 13 Josef Moravec 2017-05-04 09:35:27 UTC
Created attachment 63060 [details] [review]
[SIGNED-OFF] Bug 17288: (follow-up) Fix marc21_field_007.xml

Bad formatted data in 007 field. Fixed
To test follow the previous commit.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 14 Josef Moravec 2017-05-04 09:35:48 UTC
Created attachment 63061 [details] [review]
[SIGNED-OFF] Bug 17288 (QA Followup)

Don't default char 5 (is undefined in some forms)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 15 Josef Moravec 2017-05-04 09:35:56 UTC
Created attachment 63062 [details] [review]
[SIGNED-OFF] Bug 17288: (follow-up) Remove unneccessary Date() function

Remove line:
var now = new Date(); from both subfields
Also fix 18 positions (00-17) for default data in 006 field

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 16 Marcel de Rooy 2017-08-25 09:41:34 UTC
Created attachment 66465 [details] [review]
Bug 17288 - Advanced Editor - Rancor - Helpers for 006 and 007 fields

To test:
Open advanced cataloging editor
Experiment with 006 and 007 fields and ensure helpers function for all
material types

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 17 Marcel de Rooy 2017-08-25 09:41:40 UTC
Created attachment 66466 [details] [review]
Bug 17288: (follow-up) Fix marc21_field_007.xml

Bad formatted data in 007 field. Fixed
To test follow the previous commit.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 18 Marcel de Rooy 2017-08-25 09:41:44 UTC
Created attachment 66467 [details] [review]
Bug 17288 (QA Followup)

Don't default char 5 (is undefined in some forms)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 19 Marcel de Rooy 2017-08-25 09:41:48 UTC
Created attachment 66468 [details] [review]
Bug 17288: (follow-up) Remove unneccessary Date() function

Remove line:
var now = new Date(); from both subfields
Also fix 18 positions (00-17) for default data in 006 field

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 20 Marcel de Rooy 2017-08-25 09:43:37 UTC
QA Comment:
Not a trivial patch. And small is also arguable ;)
Looks good to me. Did not test in Rancor.
Comment 21 Jonathan Druart 2017-08-25 14:00:32 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 22 Fridolin SOMERS 2017-09-29 11:30:54 UTC
Enhancement not pushed to 17.05.x